%define GTKMDKDATE	20040322
%define MENUDATE  	20040322

Summary:	Localization files for Menu system
Name:		mdk-menu-messages
Version:	10.0
Release:	6mdk

Source0:	menu-messages-%{MENUDATE}.tar.bz2
Source1:	gtk+mdk-%{GTKMDKDATE}.tar.bz2
Source10:	menu-mdk.desktop.in
Source11:	menu-mdk-simplified.desktop.in

License:	GPL
Group:		System/Base
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
PreReq:		menu >= 2.1.5-115mdk
Conflicts:	gtk+mdk =< 0.1.6-13mdk
BuildRequires:	gettext
BuildRequires:  intltool

%description
This package includes that translations of the main menu used by the
different desktops and window managers of the distribution;
as well as translations used by specifically added features.

%prep

%setup -q -n menu-messages -a 1

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale

# fix norwegian bokmål in kde
[ ! -r no.po -a -r nb.po ] && cp nb.po no.po

# menu-messages files
for i in ./*.po
do
  langdir="$RPM_BUILD_ROOT%{_datadir}/locale/`basename ${i} .po`/LC_MESSAGES/"
  mkdir -p ${langdir}
  msgfmt -o	${langdir}/menu-messages.mo ${i}
done

# gtk+mdk files
for i in GtkMdkWidgets/po/*.po
do
  langdir="$RPM_BUILD_ROOT%{_datadir}/locale/`basename ${i} .po`/LC_MESSAGES/"
  mkdir -p ${langdir}
  msgfmt -o	${langdir}/gtk+mdk.mo ${i}
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/mdk/menu

intltool-merge -d -u . %{SOURCE10} $RPM_BUILD_ROOT%{_datadir}/mdk/menu/mandrake.desktop
intltool-merge -d -u . %{SOURCE11} $RPM_BUILD_ROOT%{_datadir}/mdk/menu/mandrake-simplified.desktop



%find_lang menu-messages
%find_lang gtk+mdk

cat menu-messages.lang > mdk-menu-messages.lang
cat gtk+mdk.lang >> mdk-menu-messages.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
RPM_INSTALL_LANG=`grep ^%%_install_langs %{_sysconfdir}/rpm/macros 2>/dev/null | sed -e 's/^%%_install_langs[ 	]*//' -e 's/\.[^:]*//g' -e 's/"//g' `

if [ -r %{_sysconfdir}/sysconfig/i18n ]; then
    . %{_sysconfdir}/sysconfig/i18n
    LANG=`echo "${LANGUAGE}${LANG}" | cut -d':' -f1 | sed 's/\..*//' `
else
    LANG=C
fi
[ -z "$RPM_INSTALL_LANG" ] && RPM_INSTALL_LANG=C

rm -f %{_sysconfdir}/menu-methods/lang.h

echo "function lang()=\"$LANG\"" > %{_sysconfdir}/menu-methods/lang.h

if [ "$RPM_INSTALL_LANG" == "all" -o "$RPM_INSTALL_LANG" == "*" ]; then
    RPM_INSTALL_LANG=`echo %{_datadir}/locale/*/LC_MESSAGES/menu-messages.mo | sed -e 's@%{_datadir}/locale/@@g' -e 's@/LC_MESSAGES/menu-messages.mo@@g' -e 's@ @:@g' -e 's@\.[^:]*@@g'`
fi	
echo "function languages()=\"$RPM_INSTALL_LANG\"" >> %{_sysconfdir}/menu-methods/lang.h

%update_menus

%postun
%clean_menus

%files -f mdk-menu-messages.lang
%defattr(-,root,root,0755)
%{_datadir}/mdk/menu/*

%changelog
* Tue Mar 22 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 10.0-6mdk
- updated po files

* Tue Mar 16 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 10.0-5mdk
- updated po files
- new languages: Armenian

* Wed Mar 10 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 10.0-4mdk
- updated po files

* Tue Feb 26 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 10.0-3mdk
- updated po files

* Fri Feb 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 10.0-2mdk
- Update .directory files with SortOrder

* Tue Feb 10 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 10.0-1mdk
- updated po files

* Fri Dec 05 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 9.2-8mdk
- updated po files
- fix for nb translation not getting used in kde
  (Per Øyvind Karlsen <peroyvind@linux-mandrake.com>)

* Fri Oct 10 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 9.2-7mdk
- updated po files

* Wed Sep 17 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 9.2-6mdk
- updated po files

* Thu Sep 11 2003 David Baudens <baudens@mandrakesoft.com> 9.2-5mdk
- Update po files

* Sat Aug 30 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 9.2-4mdk
- updated po files

* Thu Aug 28 2003 David Baudens <baudens@mandrakesoft.com> 9.2-3mdk
- Add support for sort in K menu

* Thu Aug 21 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 9.2-2mdk
- take and improved from "menu" package the script that builds the list
  of supported languages. Fix for bug #3935

* Mon Aug 04 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 9.2-1mdk
- updated po files

* Mon Mar 17 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 9.1-1mdk
- updated po files

* Sat Mar 15 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 9.1-0.7mdk
- make nb translation work in kde

* Thu Mar 11 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 9.1-0.6mdk
- updated po files

* Sat Feb 22 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 9.1-0.5mdk
- include *.desktop files from "menu" package, otherwise they
  don't get translated

* Wed Feb 19 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 9.1-0.4mdk
- updated po files

* Mon Feb 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-0.3mdk
- update gtk+mdk po files

* Mon Feb 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-0.2mdk
- Conflict with old gtk+mdk package

* Mon Feb 10 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 9.1-0.1mdk
- first version of a packaged containing all mdk-specific translations

# end of file
